minidumper
Prev | Cygwin Utilities | Next

## Name

minidumper — Write minidump from WIN32PID to FILENAME.dmp

## Synopsis

`minidumper` [-d] [-n] [-q] [-t `TYPE`] `FILENAME` `WIN32PID`

`minidumper` -h | -V

## Options

    -t, --type     minidump type flags
    -n, --nokill   don't terminate the dumped process
    -d, --verbose  be verbose while dumping
    -h, --help     output help information and exit
    -q, --quiet    be quiet while dumping (default)
    -V, --version  output version information and exit

## Description

The minidumper utility can be used to create a minidump of a running Windows process. This minidump can be later analysed using breakpad or Windows debugging tools.

minidumper can be used with cygwin's Just-In-Time debugging facility by adding `error_start=minidumper` to the `CYGWIN` environment variable. If `CYGWIN` is set this way, then minidumper will be started whenever a program encounters a fatal exception.

minidumper can also be started from the command line to create a minidump of any running process. For compatibility with dumper the target process is terminated after dumping unless the `-n` option is given.

Prev | Up | Next
lsattr | Home | mkgroup